Anonymous Login
2019-06-24 06:20 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000676v2.3 Release (Closed)[All Projects] Generalpublic2011-03-24 09:53
Reporterrmuenz 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.3 
Summary0000676: Event filter in calendar view has no effect
DescriptionFilter for company works - filter on event (My Events,...) always shows all events from all users in current period.

Tested scenario:
- User1 is owner of project, owner of task1, assignee of task1
- User2 is assignee of task2

User1 can see all tasks in calender (ok)
User2 also can see all tasks in calendar, even1

Could also reproduce in online demo environment
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001628

caseydk (administrator)

The event add/edit screen wasn't allowing event_owner to get set and then the store() was setting it to the current user.. once these were corrected, filters work as expected;
Resolved in r1646;
+Notes

-Issue History
Date Modified Username Field Change
2010-12-29 04:17 rmuenz New Issue
2011-01-16 23:05 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-02-15 19:51 caseydk Note Added: 0001628
2011-02-15 19:51 caseydk Status new => resolved
2011-02-15 19:51 caseydk Resolution open => fixed
2011-02-15 19:51 caseydk Assigned To => caseydk
2011-03-24 09:53 caseydk Fixed in Version => 2.3
2011-03-24 09:53 caseydk Status resolved => closed
+Issue History